/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.TipoMovimientoDAO;
import com.rjconsultores.ventaboletos.entidad.TipoMovimiento;
import com.rjconsultores.ventaboletos.service.TipoMovimientoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("tipoMovimientoService")
public class TipoMovimientoServiceImpl implements TipoMovimientoService {

    @Autowired
    private TipoMovimientoDAO tipoMovimientoDAO;

    public List<TipoMovimiento> obtenerTodos() {
        return tipoMovimientoDAO.obtenerTodos();
    }

    public TipoMovimiento obtenerID(Integer id) {
        return tipoMovimientoDAO.obtenerID(id);
    }

    @Transactional
    public TipoMovimiento suscribir(TipoMovimiento entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoMovimientoDAO.suscribir(entidad);
    }

    @Transactional
    public TipoMovimiento actualizacion(TipoMovimiento entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoMovimientoDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(TipoMovimiento entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        tipoMovimientoDAO.actualizacion(entidad);
    }

    public List<TipoMovimiento> buscar(String descmovimiento) {
        return tipoMovimientoDAO.buscar(descmovimiento);
    }
}
